* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.card-header img {
  width: 100%;
  height: 400px;
  border-radius: 10px;
  object-fit: cover;
}

@media (max-width: 767px) {
  .footer {
    position: relative;
    width: 100%;
    padding: 1rem;
    background-color: #f8f9fa;
    border-top: 1px solid #ddd;
  }
}
.material-symbols-outlined {
  color: #7990a1;
}
.material-symbols-outlined:hover {
  color: #fff;
}
@media (min-width: 768px) {
  .footer {
    position: absolute;
    width: 100%;
    padding: 1rem;
    background-color: #f8f9fa;
    border-top: 1px solid #ddd;
  }
}
@media (min-width: 992px) {
  .card-header img {
    transition: transform 0.75s;
  }
  .card-header img:hover {
    transform: scale(1.4) !important;
    transition: transform 0.75s;
  }
  .card-header {
    overflow: hidden;
  }
}
.checkmark {
  width: 56px;
  height: 56px;
  border-radius: 50%;
  display: block;
  stroke-width: 2;
  stroke: #fff;
  stroke-miterlimit: 10;
  box-shadow: inset 0px 0px 0px #7ac142;
  animation: fill 0.4s ease-in-out 0.4s forwards,
    scale 0.3s ease-in-out 0.9s both;
}

.checkmark__circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 2;
  stroke-miterlimit: 10;
  stroke: #7ac142;
  fill: none;
  animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.checkmark__check {
  transform-origin: 50% 50%;
  stroke-dasharray: 48;
  stroke-dashoffset: 48;
  animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke {
  100% {
    stroke-dashoffset: 0;
  }
}

@keyframes scale {
  0%,
  100% {
    transform: none;
  }
  50% {
    transform: scale3d(1.1, 1.1, 1);
  }
}

@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 30px #7ac142;
  }
}

.add-to-cart {
  padding: 5px 10px;
  margin-right: 10px !important;
}
#adjust-quantity input {
  text-align: center;
  width: 10px !important;
  border: 1px solid #ccc !important;
}

.mauchu {
  color: #7990a1;
}
.product-card-option {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
  background-color: #f2f1eb !important;
}
.card-body,
.card-header,
.card-footer {
  padding: 0 !important;

  border: 0px solid #fff !important;
}
/* Thiết lập kiểu dáng cơ bản cho nút tăng giảm */
.btn-decrement,
.btn-increment {
  background-color: #f0f0f0;
  border: none !important;
  padding: 0 10px;
  height: auto;
  color: #333;
  font-size: 1.1em;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.1s;
  box-shadow: -6px 8px 10px rgba(81, 41, 10, 0.1),
    0px 2px 2px rgba(81, 41, 10, 0.2);
}

.btn-increment:hover,
.btn-decrement:hover {
  background-color: #e0e0e0;
}

.btn-increment:active,
.btn-decrement:active {
  background-color: #d0d0d0;
  transform: scale(0.95);
}

/* Kiểu dáng cho input */
input[type="number"] {
  text-align: center;
  border-left: none;
  border-right: none;
  height: auto;
  outline: none;
}

.input-group {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
  margin-left: 10px;
}

.input-group button {
  border-radius: 0;
}

.input-group .btn-decrement {
  border-right: none;
}

.input-group .btn-increment {
  border-left: none;
}

.add-to-card-header-modal {
  display: block !important;
}
